Create or update a partner status variant
curl --request POST \
--url https://thalamus.nerds.nl/api/v1/partner/reference/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "waiting_on_customer",
"label": "Waiting on Customer",
"mapped_status": "pending",
"source_system": "freshdesk",
"status": "active"
}
'import requests
url = "https://thalamus.nerds.nl/api/v1/partner/reference/status"
payload = {
"id": "waiting_on_customer",
"label": "Waiting on Customer",
"mapped_status": "pending",
"source_system": "freshdesk",
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'waiting_on_customer',
label: 'Waiting on Customer',
mapped_status: 'pending',
source_system: 'freshdesk',
status: 'active'
})
};
fetch('https://thalamus.nerds.nl/api/v1/partner/reference/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "waiting_on_customer",
"label": "Waiting on Customer",
"mapped_status": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "pending",
"label": "Pending",
"sort_order": 4,
"color": "#8b5cf6",
"description": "Ticket is pending awaiting response from the ticket requester"
}
},
"message": "Status variant created successfully"
}{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "waiting_on_customer",
"label": "Waiting on Customer",
"mapped_status": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "pending",
"label": "Pending",
"sort_order": 4,
"color": "#8b5cf6",
"description": "Ticket is pending awaiting response from the ticket requester"
}
},
"message": "Status variant created successfully"
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Validation failed: body is required"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or revoked API key"
}
}References
Create or update a partner status variant
Upserts a partner-specific status variant. If a status with the same id
already exists for this partner, it will be updated. Otherwise a new status is created.
The mapped_status field must be one of the 6 internal categories:
new, open, pending, hold, solved, closed.
POST
/
reference
/
status
Create or update a partner status variant
Authorizations
Partner API key (e.g. nerds_live_a8f3d9k2m5n7p1q4r6t8v0w2x4y6z8)
Body
application/json
Create or update a partner-specific status variant.
The mapped_status maps this variant to one of the 6 internal categories.
Machine-readable status identifier (unique per partner)
Required string length:
1 - 256Example:
"waiting_on_customer"
Human-readable display label
Required string length:
1 - 128Example:
"Waiting on Customer"
Internal category this status maps to
Available options:
new, open, pending, hold, solved, closed Example:
"pending"
Which CRM or source system this status originates from
Maximum string length:
256Example:
"freshdesk"
Set to inactive to soft-delete
Available options:
active, inactive ⌘I